> For the complete documentation index, see [llms.txt](https://docs.bidapp.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bidapp.io/plugins/kotlin-multiplatform/getting-started.md).

# Getting started

## Installing the bidapp plugin

In the `commonMain.dependencies` section of your shared module `build.gradle` file, add the following line to integrate the Bidapp kotlin multiplatform library

```kts
commonMain.dependencies {
    ...
    implementation("io.bidapp:kmp:0.3.0")
    ...
}
```

Save and Sync the `build.gradle` file

## Get the pubid string

Request pubid by sending email to <connect@bidapp.io>

## Integrate Networks SDK Adapters

Bidapp SDK contains implementations of adapters to other Networks SDKs.

To install them follow the instructions:

{% content-ref url="/pages/OFlVBlkIyjpOVY35EqXT" %}
[Android Platform Setup](/plugins/kotlin-multiplatform/android-platform-setup.md)
{% endcontent-ref %}

{% content-ref url="/pages/4sQXJy6o4rOgP8VILXBO" %}
[iOS Platfrom Setup](/plugins/kotlin-multiplatform/ios-platfrom-setup.md)
{% endcontent-ref %}

{% hint style="info" %}
If you want to receive release updates for adapters, subscribe to our GitHub repository: [GitHub repository](https://github.com/bidapphub/bidapp-kotlin-multiplatform-plugin)
{% endhint %}

## Initialize the SDK

Initialize the SDK in your app `onCreate()` method of your launch `Activity`

Ad assets that are fully cached result in a better user experience. Therefore, always initialize the Bidapp SDK on startup to give mediated networks the maximum amount of time to cache ads. This is especially important with video ads.

```kotlin
val bidConfig = BIDConfiguration()
val pubid = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx";
BidappAds.start(pubId, bidConfig, activity)
```

{% hint style="info" %}
The activity is only passed from the Android application; for iOS, a null value is passed."
{% endhint %}

## Consent and Data APIs

In order to ensure you obtain consent from your users in applicable jurisdictions on behalf of our monetization partners and correctly pass consent flag values to Bidapp, please review [**App Policy Settings**](/plugins/kotlin-multiplatform/app-policy-settings.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bidapp.io/plugins/kotlin-multiplatform/getting-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
